Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface EnclosingSourceType

All Known Implementing Classes:
  EnclosingSourceTypeImpl

    public interface EnclosingSourceType

Describes an enclosing container (e.g., a journal defined by volumes and issues) Java content class for enclosingSourceType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 187)

     <complexType name="enclosingSourceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="agent" type="{http://infoml.org/infomlFile}agentType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="container" type="{http://infoml.org/infomlFile}containerType" minOccurs="0"/>
             <choice minOccurs="0">
               <element name="location" type="{http://infoml.org/infomlFile}locationType" minOccurs="0"/>
               <element name="complexLocation" type="{http://infoml.org/infomlFile}complexPointType"/>
             </choice>
             <element name="enclosingSource" type="{http://infoml.org/infomlFile}enclosingSourceType" minOccurs="0"/>
           </sequence>
           <attribute name="category" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.util.List` | `getAgent()` Gets the value of the Agent property.
`java.lang.String` | `getCategory()` Gets the value of the category property.
`ComplexPointType` | `getComplexLocation()` Gets the value of the complexLocation property.
`ContainerType` | `getContainer()` Gets the value of the container property.
`EnclosingSourceType` | `getEnclosingSource()` Gets the value of the enclosingSource property.
`LocationType` | `getLocation()` Gets the value of the location property.
`void` | `setCategory(java.lang.String value)` Sets the value of the category property.
`void` | `setComplexLocation(ComplexPointType value)` Sets the value of the complexLocation property.
`void` | `setContainer(ContainerType value)` Sets the value of the container property.
`void` | `setEnclosingSource(EnclosingSourceType value)` Sets the value of the enclosingSource property.
`void` | `setLocation(LocationType value)` Sets the value of the location property.

Method Detail

### getCategory

    java.lang.String getCategory()

  Gets the value of the category property.

  Returns:
    possible object is `String`

### setCategory

    void setCategory(java.lang.String value)

  Sets the value of the category property.

  Parameters:
    `value` - allowed object is `String`

### getComplexLocation

    ComplexPointType getComplexLocation()

  Gets the value of the complexLocation property.

  Returns:
    possible object is `ComplexPointType`

### setComplexLocation

    void setComplexLocation(ComplexPointType value)

  Sets the value of the complexLocation property.

  Parameters:
    `value` - allowed object is `ComplexPointType`

### getAgent

    java.util.List getAgent()

  Gets the value of the Agent property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Agent property.

  For example, to add a new item, do as follows:

          getAgent().add(newItem);

  Objects of the following type(s) are allowed in the list `AgentType`

### getLocation

    LocationType getLocation()

  Gets the value of the location property.

  Returns:
    possible object is `LocationType`

### setLocation

    void setLocation(LocationType value)

  Sets the value of the location property.

  Parameters:
    `value` - allowed object is `LocationType`

### getContainer

    ContainerType getContainer()

  Gets the value of the container property.

  Returns:
    possible object is `ContainerType`

### setContainer

    void setContainer(ContainerType value)

  Sets the value of the container property.

  Parameters:
    `value` - allowed object is `ContainerType`

### getEnclosingSource

    EnclosingSourceType getEnclosingSource()

  Gets the value of the enclosingSource property.

  Returns:
    possible object is `EnclosingSourceType`

### setEnclosingSource

    void setEnclosingSource(EnclosingSourceType value)

  Sets the value of the enclosingSource property.

  Parameters:
    `value` - allowed object is `EnclosingSourceType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD